/*
 * Copyright (C) 2020-2021 Aloysius Indrayanto
 *
 * This file is part of the eCxx library, see LICENSE file for the license details.
 */


#include <eCxx/eCxx.h>

#include "AVR_Common.h"


//
// Include common source code for SPIMaster test application
//
#include "../CommonCode/SPIMaster_Common.h"


//
// The init function
//
void eCxx_user_init()
{
    // Initialize application
    initBasicAVRApp();

    // Initialize SPI in master mode and UART
    initSPIMasterAndUART();
}


//
// The task function
//
void eCxx_user_task()
{
    // Process event and send-receive data to slave
    eCxx_user_task_SPIMasterTxRx();
}
